> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return a single flowAPIs

> Returns a single flowAPIs object using the specified key.



## OpenAPI

````yaml 26.3/cloud/en/api-reference/openapi.json GET /flowAPIs(WorkspaceId='{WorkspaceId}',Name='{Name}',Method='{Method}')
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.3.9712.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /flowAPIs(WorkspaceId='{WorkspaceId}',Name='{Name}',Method='{Method}'):
    get:
      tags:
        - flowAPIs
      summary: Return a single flowAPIs
      description: Returns a single flowAPIs object using the specified key.
      operationId: getflowAPIs
      parameters:
        - name: WorkspaceId
          in: path
          description: The key WorkspaceId
          required: true
          schema:
            type: string
        - name: Name
          in: path
          description: The key Name
          required: true
          schema:
            type: string
        - name: Method
          in: path
          description: The key Method
          required: true
          schema:
            type: string
        - name: $select
          in: query
          schema:
            type: string
          description: Select structural property
      responses:
        '200':
          description: flowAPIs response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/flowAPIs'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    flowAPIs:
      type: object
      properties:
        WorkspaceId:
          description: The Id of the workspace that contains the flow API.
          type: string
        Name:
          description: The name of the flow API.
          type: string
        Method:
          description: The HTTP method supported by the flow API.
          type: string
        Description:
          description: The description of the flow API.
          type: string
        Connectors:
          description: The list of connector Ids associated with the flow API.
          type: string
        QueryParameters:
          description: The colon-delimited list of query parameter names.
          type: string
        BodyType:
          description: The data type of the HTTP request body.
          type: string
        RequestContentType:
          description: The content type of the HTTP request.
          type: string
        RequestBody:
          description: >-
            The colon-delimited list of key names when the body type is
            Form-Data or x-www-form-urlencoded.
          type: string
        ResponseContentType:
          description: The content type of the HTTP response.
          type: string
        RequestSample:
          description: The sample request data when the body type is Raw.
          type: string
        ResponseSample:
          description: The sample response data.
          type: string
      required:
        - WorkspaceId
        - Name
        - Method
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````